Skip to content
Справочник APIConsumerConsumer.vspaces

List VSpaces in the current project

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

GET
/consumer/v1/vspaces

Returns every VSpace available to the authenticated user's consumer account for the project identified by X-Project-Id.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/consumer/v1/vspaces" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
{  "data": [    {      "consumer_account_id": "22222222-2222-2222-2222-222222222222",      "created_at": "2026-04-12T09:40:00Z",      "default_exit_route": [        "55555555-5555-5555-5555-555555555555",        "77777777-7777-7777-7777-777777777777"      ],      "id": "44444444-4444-4444-4444-444444444444",      "ipv4_cidr": "100.101.0.0/24",      "ipv6_cidr": "fd7a:115c:a1e0:efe3::/64",      "name": "Default Workspace",      "status": "active",      "updated_at": "2026-04-12T10:00:00Z",      "vni": 4100    }  ],  "meta": {    "has_more": false,    "limit": 10,    "offset": 0,    "total": 1  }}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}